## org.springframework.remoting
Class RemoteInvocationFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.remoting.RemoteAccessException
                          org.springframework.remoting.RemoteInvocationFailureException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SoapFaultException

    public class RemoteInvocationFailureException

extends RemoteAccessException

RemoteAccessException subclass to be thrown when the execution of the target method failed on the server side, for example when a method was not found on the target object.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `RemoteProxyFailureException`, Serialized Form

Constructor Summary
`RemoteInvocationFailureException(String msg, Throwable cause)` Constructor for RemoteInvocationFailureException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteInvocationFailureException

    public RemoteInvocationFailureException(String msg,
                                            Throwable cause)

  Constructor for RemoteInvocationFailureException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the remoting API in use

Copyright © 2002-2008 The Spring Framework.